#!/usr/bin/python

import findrox; findrox.version(1,9,13)
import rox
from rox import g

class WaveButt(g.DrawingArea):
	def __init__(self):
		g.DrawingArea.__init__(self)
		
		self.connect('expose-event',self.expose_cb)
		
	def expose_cb(self,wid,ev):
		self.gc = self.style.fg_gc[g.STATE_NORMAL]
		f = file('findrox.pyc','rb')
		x=0
		oy=0
		ox=0
		while 1:
			y = f.read(1)
			if not y or x > ev.area.width: break
			y = ord(y)/4
			x += 1
			self.window.draw_line(self.gc, ox, oy, x, y)

			ox=x
			oy=y
		f.close()
		return True
			
w = rox.Window()
w.set_border_width(8)
b = WaveButt()
w.add(b)
w.show_all()
rox.mainloop()
